﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Services.Hive.DataAccess;

namespace HeuristicLab.Services.Hive {
  public interface IServiceLocator {

    IAuthorizationManager AuthorizationManager { get; }
    IHiveDao HiveDao { get; }
    ILifecycleManager LifecycleManager { get; }
    TransactionManager TransactionManager { get; }
  }
}
